summaryrefslogtreecommitdiffstats
path: root/network/choqok
diff options
context:
space:
mode:
author Matthew Miller2022-10-16 03:58:07 +0200
committer Willy Sudiarto Raharjo2022-10-16 03:58:07 +0200
commitbb23fa5496a8ab271dca6e2d1a1a6b4ce8a8734a (patch)
tree409f9c7d5834481c06b5aa7f2a9b023b8a4df676 /network/choqok
parentd8ef378b612a6088dd2f73aab8a26221926060e6 (diff)
downloadslackbuilds-bb23fa5496a8ab271dca6e2d1a1a6b4ce8a8734a.tar.gz
network/choqok: Added (KDE Micro-Blogging client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/choqok')
-rw-r--r--network/choqok/README12
-rw-r--r--network/choqok/choqok.SlackBuild103
-rw-r--r--network/choqok/choqok.info10
-rw-r--r--network/choqok/doinst.sh7
-rw-r--r--network/choqok/slack-desc19
5 files changed, 151 insertions, 0 deletions
diff --git a/network/choqok/README b/network/choqok/README
new file mode 100644
index 0000000000..152e77609f
--- /dev/null
+++ b/network/choqok/README
@@ -0,0 +1,12 @@
+
+ choqok (KDE Micro-Blogging client)
+
+ Choqok is a Free/Open Source micro-blogging client by the KDE
+ community. The name comes from an ancient Persian word, means
+ Sparrow!
+
+ Currently supports Twitter.com, GNU Social (formerly known as
+ StatusNet), Pump.io (formerly known as Identi.ca), Friendica and
+ Open Collaboration Services (used by OpenDesktop.org).
+
+ Homepage: https://github.com/KDE/choqok
diff --git a/network/choqok/choqok.SlackBuild b/network/choqok/choqok.SlackBuild
new file mode 100644
index 0000000000..73f5e8d49a
--- /dev/null
+++ b/network/choqok/choqok.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+
+# Slackware build script for choqok
+
+# Copyright 2022 Matthew Miller Salina,Kansas,USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=choqok
+VERSION=${VERSION:-1.7.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ cmake -DKDE_INSTALL_USE_QT_SYS_PATHS=ON ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/share/applications
+
+chmod 0644 $PKG/usr/share/applications/org.kde.choqok.desktop
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -Rv $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/choqok/choqok.info b/network/choqok/choqok.info
new file mode 100644
index 0000000000..7a01041889
--- /dev/null
+++ b/network/choqok/choqok.info
@@ -0,0 +1,10 @@
+PRGNAM="choqok"
+VERSION="1.7.0"
+HOMEPAGE="https://github.com/KDE/choqok"
+DOWNLOAD="https://github.com/KDE/choqok/archive/refs/tags/v1.7.0/choqok-1.7.0.tar.gz"
+MD5SUM="429ff1f3f8c53ffae78ef82889ff21f5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matthew Miller"
+EMAIL="mattallmill@gmail.com"
diff --git a/network/choqok/doinst.sh b/network/choqok/doinst.sh
new file mode 100644
index 0000000000..eff9ee323e
--- /dev/null
+++ b/network/choqok/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+fi
diff --git a/network/choqok/slack-desc b/network/choqok/slack-desc
new file mode 100644
index 0000000000..1bc990a324
--- /dev/null
+++ b/network/choqok/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+choqok: choqok (KDE Micro-Blogging client)
+choqok:
+choqok: Choqok is a Free/Open Source micro-blogging client by the KDE
+choqok: community. The name comes from an ancient Persian word, means
+choqok: Sparrow!
+choqok:
+choqok: Currently supports Twitter.com, GNU Social (formerly known as
+choqok: StatusNet), Pump.io (formerly known as Identi.ca), Friendica and
+choqok: Open Collaboration Services (used by OpenDesktop.org).
+choqok:
+choqok: Homepage: https://github.com/KDE/choqok